
.Modal {
  margin: 50px 20%;
  border-radius: 20px;
  overflow: hidden;
  padding: 1%;
  min-height: 600px;
  background: var(--background-1);
  color: var(--text-primary);
  transition: all .5s;
  
  img {
    padding: 1%;
    height: 220px;
    width: 98%;
    border-radius: 20px;
  }

  .titleRow {
    display: flex;
    justify-content: space-between;
    padding: 1%;

    p {
      text-align: center;
      font-size: 28px;
      margin: 8px 0;
    }
    label {
      display: flex;
      text-transform: capitalize;
      p {
        font-size: 18px;
        padding: 5px;
      }
    }
    input[type="checkbox"] {
      position: relative;
      cursor: pointer;
      align-self: center;

      width: 60px;
      height: 30px;
      margin: 0;

      background: var(--background-3);
      border: 1px solid var(--border);
      border-radius: 30px;
      outline: none;
      appearance: none;
      transition: all 0.3s cubic-bezier(0.2, 0.85, 0.32, 1.2);

      &::after {
        content: "";
        position: absolute;
        left: 3px;
        top: 2px;
        width: 24px;
        height: 24px;
        background-color: var(--background-2);
        border-radius: 50%;
        transform: translateX(0);
        transition: all 0.3s cubic-bezier(0.2, 0.85, 0.32, 1.2);
      }
    }

    input[type="checkbox"]:checked::after {
      transform: translateX(calc(100% + 3px));
      background-color:  var(--background-1);
    }

    input[type="checkbox"]:checked {
      background-color:  var(--background-2);
    }
  }

  @media screen and (max-width: $medium) {
    margin: 20px 40px;
  }
  @media screen and (max-width: $large) {
    margin: 4% 10%;
  }
}
